Name:           libverto-jsonrpc
Version:        0.1.0
Release:        16%{?dist}
Summary:        JSON-RPC support for libverto

License:        MIT
URL:            https://fedorahosted.org/libverto
Source0:        https://fedorahosted.org/releases/l/i/%{name}/%{name}-%{version}.tar.gz

Patch0:         libverto-jsonrpc-0.1.0_json-c_013.patch

BuildRequires:  libverto-devel >= 0.2.4
BuildRequires:  json-c-devel
BuildRequires:  findutils
BuildRequires:  libtool

%description
A library for doing JSON-RPC over a socket, using the libverto API.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       pkgconfig
Requires:       libverto-devel
Requires:       json-c-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -p 1
autoreconf -fiv

%build
%configure --disable-static
%make_build

%install
%make_install
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc AUTHORS ChangeLog COPYING README
%{_libdir}/*.so.*

%files devel
%{_includedir}/verto-jsonrpc.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Sun Dec 10 2017 Björn Esser <besser82@fedoraproject.org> - 0.1.0-16
- Rebuilt for libjson-c.so.3

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Feb 16 2012 Nathaniel McCallum <npmccallum@redhat.com> - 0.1.0-5
- Add versioned buildrequires: libverto-devel >= 0.2.4

* Thu Feb 16 2012 Nathaniel McCallum <npmccallum@redhat.com> - 0.1.0-4
- Add libverto-devel dependency to -devel

* Mon Feb 13 2012 Nathaniel McCallum <npmccallum@redhat.com> - 0.1.0-3
- Add json-c-devel dependency to -devel
- Add specific reference to %{_includedir}/verto-jsonrpc.h
- Add a BuildRequires for findutils

* Mon Feb 13 2012 Nathaniel McCallum <npmccallum@redhat.com> - 0.1.0-2
- Remove libverto-module-base dependency

* Mon Feb 13 2012 Nathaniel McCallum <npmccallum@redhat.com> - 0.1.0-1
- Initial package
